Set the details of the bearer that is identified by the given tracking number
Request Path Parameters
| Parameter | type | Limits | required | Description |
|---|---|---|---|---|
| terminalID | String | 10 characters | ✓ | The Paymentology issued terminal id of the terminal requesting the transaction |
| customerReference | String | 1-255 characters | ✓ | Customer reference linked with this card |
| trackingNumber | String | 1-20 characters | ✓ | Tracking number that identifies the card to be returned |
| transactionID | String | 1-255 characters | ✓ | A unique identifier generated by the client, which must not be duplicated over time. |
| transactionDate | String | ✓ | Transaction date generated by the calling client | |
| prefix | String | 1-10 characters | ✓ | The salutation for the bearer (eg Mr, Mrs, Miss) |
| firstName | String | 1-50 characters | ✓ | The first name of the bearer |
| middleName | String | 1-50 characters | The middle name of the bearer | |
| lastName | String | 1-50 characters | ✓ | The last name of the bearer |
| idNumber | String | 1-50 characters | ✓ | The identification number for the bearer |
| mobilePhoneArea | String | 1-10 characters | ✓ | The Mobile Phone Area of the bearer |
| mobilePhoneNumber | String | 1-10 characters | ✓ | The Mobile Phone Number of the bearer |
| countryOfCitizenship | String | ✓ | The country of citizenship (three-letter country code defined in ISO 3166-1) | |
| dateOfBirth | String | 1-10000000 characters | ✓ | The date of birth (YYYY-MM-DD) |
| screeningRequested | Integer | ✓ | Indicator for whether screening was requested (1 if requested) | |
| image | String | ✓ | The KYC Image for the Bearer | |
| streetAddress | String | 5 characters | ✓ | The street address of the card bearer. No special characters nor alphabetic, example “17014” |
| postalCode | String | 9 characters | ✓ | The postal code of the card bearer. This value is left-justified with right-space-fill, example”12345 “,”123456789” |
| cityAddress | String | ✓ | City or area of the card bearer. | |
| countryAddress | String | 3 characters | ✓ | ISO Alpha code indicating the country. eg. GBR. |
| emailAddress | String | ✓ | Email address of the card bearer. | |
| checksum | String | 1-255 characters | ✓ | HMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key |
<methodCall>
<methodName>SetBearerDetail</methodName>
<params>
<param>
<value>
<string>terminal_equipo_id</string>
</value>
</param>
<param>
<value>
<string>customer_ref</string>
</value>
</param>
<param>
<value>
<string>998489300000075</string>
</value>
</param>
<param>
<value>
<string>SBD-0000001</string>
</value>
</param>
<param>
<value>
<dateTime.iso8601>20221130T11:03:42</dateTime.iso8601>
</value>
</param>
<param>
<value>
<string></string>
</value>
</param>
<param>
<value>
<string>Fulano</string>
</value>
</param>
<param>
<value>
<string></string>
</value>
</param>
<param>
<value>
<string>de Tal</string>
</value>
</param>
<param>
<value>
<string>12345678901</string>
</value>
</param>
<param>
<value>
<string>5514</string>
</value>
</param>
<param>
<value>
<string>981927788</string>
</value>
</param>
<param>
<value>
<string>Brazil</string>
</value>
</param>
<param>
<value>
<string>1985-01-27</string>
</value>
</param>
<param>
<value>
<int>0</int>
</value>
</param>
<param>
<value>
<string></string>
</value>
</param>
<param>
<value>
<string>22 Walnut St #23</string>
</value>
</param>
<param>
<value>
<string>017404074</string>
</value>
</param>
<param>
<value>
<string>Belo Horizonte</string>
</value>
</param>
<param>
<value>
<string>BRA</string>
</value>
</param>
<param>
<value>
<string>[email protected]</string>
</value>
</param>
<param>
<value>
<string>F7324F6C44762237F3221D08A8D2E86A8DEA302EFDF3D9F6EF071ECB82239B1E</string>
</value>
</param>
</params>
</methodCall>
Response Parameters
| Field | type | Description |
|---|---|---|
| resultCode | Integer | Status code indicating transaction result |
| resultText | String | Text indicating transaction result |
<methodResponse>
<params>
<param>
<value>
<struct>
<member>
<name>clientTransactionID</name>
<value>
<string>fb8344c9-2fc9-467b-87e4-55eaf88d06f1</string>
</value>
</member>
<member>
<name>resultCode</name>
<value>
<int>1</int>
</value>
</member>
<member>
<name>terminalID</name>
<value>
<string>0020787431</string>
</value>
</member>
<member>
<name>customerReference</name>
<value>
<string>Cyp001</string>
</value>
</member>
<member>
<name>resultText</name>
<value>
<string>Success</string>
</value>
</member>
<member>
<name>serverTransactionID</name>
<value>
<string>F7055AEA-155D-00FA-4D41AC43204172A1</string>
</value>
</member>
<member>
<name>trackingNumber</name>
<value>
<string>412084400000001</string>
</value>
</member>
</struct>
</value>
</param>
</params>
</methodResponse>
